%global qt_module qtlottie

Summary: Qt5 - Lottie 
Name:    qt5-%{qt_module}
Version: 5.15.13
Release: 1%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtbase-private-devel
#libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit)
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires: qt5-qtwebsockets-devel
BuildRequires: qt5-qtbase-gui
BuildRequires: qt5-qtbase-static
BuildRequires: qt5-qtdeclarative-devel

%if 0%{?rhel} == 7
BuildRequires: devtoolset-7-toolchain
%endif

%description
Qt Lottie Animation provides a QML API for rendering graphics and animations 
that are exported in JSON format by the Bodymovin plugin for Adobe After Effects.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%package private-devel
Summary: Development files for %{name} private APIs
Requires: %{name}-devel%{?_isa} = %{version}-%{release}
%description private-devel
%{summary}.

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build

%if 0%{?rhel} == 7
. /opt/rh/devtoolset-7/enable
%endif

mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} ..

%make_build


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}


%ldconfig_scriptlets

%files
%license LICENSE.*
%{_qt5_libdir}/libQt5Bodymovin.so.*
%{_qt5_qmldir}/Qt

%files devel
%{_qt5_libdir}/libQt5Bodymovin.la
%{_qt5_libdir}/libQt5Bodymovin.prl
%{_qt5_libdir}/libQt5Bodymovin.so
%{_qt5_headerdir}/QtBodymovin
%{_qt5_libdir}/cmake



%files private-devel
%{_qt5_headerdir}/*/%{version}/*/private/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_*_private.pri


%changelog
* Mon Mar 18 2024 Marie Loise Nolden <loise@kde.org> - 5.15.13-1
- 5.15.13

* Mon Mar 4 2024 Marie Loise Nolden <loise@kde.org> - 5.15.12-1
- 5.15.12

* Tue Jun 13 2023 Marie Loise Nolden <loise@kde.org> - 5.15.10-1
- 5.15.10

* Wed Apr 12 2023 Marie Loise Nolden <loise@kde.org> - 5.15.9-1
- 5.15.9

* Sat Jan 07 2023 Marie Loise Nolden <loise@kde.org> - 5.15.8-1
- 5.15.8

* Sat Dec 03 2022 Marie Loise Nolden <loise@kde.org> - 5.15.7-1
- 5.15.7

* Tue Jul 26 2022 Marie Loise Nolden <loise@kde.org> - 5.15.5-1
- 5.15.5

* Thu May 19 2022 Marie Loise Nolden <loise@kde.org> - 5.15.4-1
- 5.15.4

* Mon Nov 23 2020 Marie Loise Nolden <loise@kde.rog> - 5.15.2-1
- 5.15.2

* Sun Sep 13 2020 Marie Loise Nolden <loise@kde.rog> - 5.15.1-1
- 5.15.1

* Sat Jun 13 2020 Marie Loise Nolden <loise@kde.org> - 5.15.0-1
- New Qt 5.15.0 package
